@use '../../../global/styles/styles-variables' as *;
@use 'styles/navigation-context-menu.variables' as *;
@use './../../../global/styles/utilities' as *;


[id$='-identifier'] {
  @include digi-navigation-context-menu--variables;

  .digi-navigation-context-menu__toggle-icon {
    transition: var(--digi--navigation-context-menu--toggle-icon--transition);
  }

  .content-wrapper {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding-left: 1rem;
    padding-right: 1rem;
    gap: 0.5rem;
  }

  .digi-navigation-context-menu {
    --HORIZONTAL-POSITION: unset;

    display: var(--digi--navigation-context-menu--display--start);

    &--horizontal-position-end {
      position: relative;
      --HORIZONTAL-POSITION: 0;
      --digi--navigation-context-menu--display--start: var(
        --digi--navigation-context-menu--display--end
      );
    }

    &--active {
      .digi-navigation-context-menu__toggle-icon {
        transform: var(--digi--navigation-context-menu--toggle-icon--transform);
      }
    }
  }

  .digi-navigation-context-menu__trigger-button {
    --digi--button--padding--medium: var(
      --digi--navigation-context-menu--button-trigger--padding
    );
    --digi--button--font-size--medium: var(
      --digi--navigation-context-menu--button-trigger--font-size
    );
  }

  .digi-navigation-context-menu__content {
    right: var(--HORIZONTAL-POSITION);
    margin-top: var(--digi--navigation-context-menu--content--margin-top);
    position: var(--digi--navigation-context-menu--content--position);
    background-color: var(
      --digi--navigation-context-menu--content--background-color
    );
    border-radius: var(--digi--navigation-context-menu--content--border-radius);
    box-shadow: var(--digi--navigation-context-menu--content--box-shadow);
    z-index: 1;

    &--hidden {
      display: none;
    }
  }

  .digi-navigation-context-menu__item {
    font-size: var(--digi--navigation-context-menu--item--font-size);
    display: var(--digi--navigation-context-menu--item--display);
    font-family: var(--digi--navigation-context-menu--item--font-family);

    &:hover {
      background-color: var(
        --digi--navigation-context-menu--item--background-color--active
      );
    }

    &--active {
      background-color: var(
        --digi--navigation-context-menu--item--background-color--active
      );
    }

    &--selected {
      --digi--navigation-context-menu--button--font-weight: var(
        --digi--navigation-context-menu--item--font-wight--selected
      );
      background-color: var(
        --digi--navigation-context-menu--item--background-color--active
      );
    }

    &[dir='rtl'] {
      digi-icon-chevron-down,
      digi-icon-check {
        margin-right: var(
          --digi--navigation-context-menu--button-icon--margin-left
        );
        margin-left: var(
          --digi--navigation-context-menu--button-icon--margin-right
        );
      }
    }

    &.digi-navigation-context-menu__item--selected {
      &[dir='rtl'] {
        .digi-navigation-context-menu__button {
          --digi--button--padding--medium: var(--digi--gutter--large) 0
            var(--digi--gutter--large) var(--digi--gutter--largest-3);
        }
      }

      &[dir='ltr'] {
        .digi-navigation-context-menu__button {
          --digi--button--padding--medium: var(--digi--gutter--large)
            var(--digi--gutter--large) var(--digi--gutter--large) 0;
        }
      }
    }
  }

  .digi-navigation-context-menu__button {
    --digi--button--font-size--medium: var(
      --digi--navigation-context-menu--button--font-size
    );
    --digi--button--color--background--primary--default: var(
      --digi--navigation-context-menu--button--background
    );
    --digi--button--color--background--primary--focus: var(
      --digi--navigation-context-menu--button--background
    );
    --digi--button--color--text--primary--default: var(
      --digi--navigation-context-menu--button--color
    );
    --digi--button--color--text--primary--hover: var(
      --digi--navigation-context-menu--button--color
    );
    --digi--button--border-width--primary--default: var(
      --digi--navigation-context-menu--button--border
    );
    --digi--button--border-width--primary--hover: var(
      --digi--navigation-context-menu--button--border
    );
    --digi--button--font-weight: var(
      --digi--navigation-context-menu--button--font-weight
    );
    --digi--button--padding--medium: var(
      --digi--navigation-context-menu--button--padding
    );
    --digi--button--color--background--primary--hover: var(
      --digi--navigation-context-menu--button--background--hover
    );
    --digi--button--outline--focus: var(
      --digi--navigation-context-menu--button--outline--focus
    );
    --digi--button--width: var(--digi--navigation-context-menu--button--width);
    --digi--button--text-align: var(
      --digi--navigation-context-menu--button--text-align
    );
    --digi--button--display: var(
      --digi--navigation-context-menu--button--display
    );
    --digi--button--color--text--primary--focus: var(
      --digi--navigation-context-menu--link--color
    );
    --digi--button--color--background--primary--active: unset;
    --digi--button--color--text--primary--active: var(
      --digi--navigation-context-menu--button--color
    );

    flex: 1 0 0;
  }

  .digi-navigation-context-menu__button-icon {
    --digi--icon--width: var(
      --digi--navigation-context-menu--button-icon--width
    );
  }

  .digi-navigation-context-menu__link {
    font-size: var(--digi--navigation-context-menu--link--font-size);
    text-decoration: var(
      --digi--navigation-context-menu--link--text-decoration
    );
    color: var(--digi--navigation-context-menu--link--color);
    font-family: var(--digi--navigation-context-menu--link--font-family);
    padding: var(--digi--navigation-context-menu--link--padding);
    display: var(--digi--navigation-context-menu--link--display);
    box-sizing: border-box;
    width: var(--digi--navigation-context-menu--link--width);

    &:focus {
      @include digi--focus();
    }
  }

  .digi-navigation-context-menu__items {
    list-style: none;
    margin: var(--digi--navigation-context-menu--items--margin);
    padding: var(--digi--navigation-context-menu--items--padding);

    &--bordered {
      --digi--navigation-context-menu--button--padding: var(
        --digi--navigation-context-menu--button--bordered--padding
      );

      .digi-navigation-context-menu__link {
        padding: var(--digi--navigation-context-menu--link--bordered--padding);
      }

      .digi-navigation-context-menu__item {
        /*reset*/
        margin: 0;
        padding: 0;
      }

      .digi-navigation-context-menu__item:not(:first-child) {
        border-top: var(--digi--navigation-context-menu--item--border-top);
      }
    }
  }
}
